<?php
$title = 'Редактировать анкету';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');

//-----Переадресация для гостей-----//
if(!$user['id']) {
header('Location: /');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | Редактировать анкету</div>';

if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$strana = strong($_POST['strana']);
$gorod = strong($_POST['gorod']);
$osebe = strong($_POST['osebe']);

if(empty($name)) {
echo '<div class="podmenu"><center><b>Поле имени не заполнено!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($strana)) {
echo '<div class="podmenu"><center><b>Поле страны не заполнено!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($gorod)) {
echo '<div class="podmenu"><center><b>Поле города не заполнено!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($osebe)) {
echo '<div class="podmenu"><center><b>Поле о себе не заполнено!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `users` SET `name` = '".$name."', `strana` = '".$strana."', `gorod` = '".$gorod."', `osebe` = '".$osebe."' WHERE `id` = '".$user['id']."'");
header('Location: '.$HOME.'/user/red_ank.php');
}

echo '<div class="podmenu"><form action="" method="POST">
Имя:<br/> <input type="text" name="name" value="'.$user['name'].'"/> <br />
Страна:<br/> <input type="text" name="strana" value="'.$user['strana'].'"/> <br />
Город:<br/> <input type="text" name="gorod" value="'.$user['gorod'].'"/> <br />
О себе:<br/> <input type="text" name="osebe" value="'.$user['osebe'].'"/> <br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
<div class="menudiv"><a href="'.$HOME.'/user/cab.php" class="k_menu">Назад в кабинет</div></a>';
//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>